%define module dockerpty

Name:           python-%module
Version:        0.4.1
Release:        %mkrel 1
Summary:        A Python library to use the pseudo-tty of a docker container

Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/d11wtq/dockerpty
Source0:        http://pypi.python.org/packages/source/d/%{module}/%{module}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools


%description
Provides the functionality needed to operate the pseudo-tty (PTY) allocated to a docker container, using the Python client.

%package -n python3-%module
Summary:        A Python 3 library to use the pseudo-tty of a docker container
Group:          Development/Python

%description -n python3-%module
Provides the functionality needed to operate the pseudo-tty (PTY) allocated to a docker container, using the Python client.

%prep
%setup -q -n %{module}-%{version}

cp -ap . %{py3dir}


%build
%py2_build

pushd %{py3dir}
%py3_build
popd


%check
%{__python2} setup.py test


%install
pushd %{py3dir}
%py3_install
popd

%py2_install

 
%files
%doc README.md PKG-INFO 
%{python2_sitelib}/*

%files -n python3-%module
%doc README.md PKG-INFO 
%{python3_sitelib}/*



%changelog
* Mon May 23 2016 bcornec <bcornec> 0.4.1-1.mga6
+ Revision: 1017927
- Adds sha1
- Adds a new python-dockerpty package required by docker-compose
- Created package structure for python-dockerpty.

